---
title: Geth fundamentals
description: Documentation for foundational Geth topics
---

This section includes documentation for foundational topics in Geth. The pages here will help you to understand how Geth works from a user perspective and under the hood.

This is where you will find information about how to manage a Geth node and understand how it functions.

For example, the pages here will help you to understand the underlying architecture of your Geth node, how to start it in different configurations using command line options, how to sync the blockchain and how to manage accounts. There is a page on security practices that will help you to keep your Geth node safe from adversaries.

Note also that there is a page explaining common log messages that are often queried on the Geth discord and GitHub - this will help users to interpret the messages displayed to the console and know what actions to take.

## In this section

- [Node architecture](/docs/fundamentals/node-architecture): learn about the three components of an Ethereum node and how they fit together
- [Command line options](/docs/fundamentals/command-line-options): see the various command line options that can be used to configure Geth
- [Security](/docs/fundamentals/security): learn about basic security best-practises for Geth
- [Sync-modes](/docs/fundamentals/sync-modes): learn about the different ways Geth can sync the blockchain
- [Account management](/docs/fundamentals/account-management): read about how to manage accounts using Clef and Geth
- [Backup and restore](/docs/fundamentals/backup-restore): learn how to backup and restore data for a Geth instance
- [Logs](/docs/fundamentals/logs): learn how to interpret the main log messages Geth displays in the console
- [Peer-to-peer](/docs/fundamentals/peer-to-peer): learn about Geth's peer-to-peer networking
- [Pruning](/docs/fundamentals/pruning): read about Geth's data pruning options
- [Private networks](/docs/fundamentals/private-network): learn hoe to set up a private network of multiple Geth nodes
- [Light clients](/docs/fundamentals/les): read about Geth's light mode.
- [Mining](/docs/fundamentals/mining): read about the mining algorithms Geth used to use to secure Ethereum before the network switched to proof-of-stake.
