---
title: Welcome to go-ethereum
description: Documentation for the go-ethereum client
---

Go-ethereum (aka Geth) is an Ethereum client built in [Go](https://go.dev). It is one of the original and most popular Ethereum clients.
These documentation pages are intended to help users download, install and use Geth.

## Where to go from here {#where-to-go}

First, make sure you have sufficient [hardware](/docs/getting-started/hardware-requirements), then [download](/downloads) and [install](/docs/getting-started/installing-geth) Geth. Make sure you are familiar with the [security considerations](/docs/fundamentals/security) and have your firewall set up.

If you are just starting out with Geth, head to the [Getting started](/docs/getting-started/) page. That page guides new users through some basic functions of Geth such as creating and securing accounts and making a transaction.

Then, it is recommended to read the material in the [Fundamentals](/docs/fundamentals) section - these pages will help build a foundational understanding of how Geth works from a user perspective and under the hood.

More advanced topics are also available - explore them using the sidebar!

## Developers and contributors {#developers-and-contributors}

If you want to help develop Geth or build decentralized apps on top of it, head to our [Developer](/docs/developers) documentation.

## More resources {#more-resources}

We have a library of videos and articles on our [Resources](/docs/resources) page and answers to common questions on the [FAQs](/docs/faq) page.
