export const textStyles = {
  h1: {
    fontFamily: 'heading',
    fontWeight: 700,
    fontSize: { base: '2.175rem', md: '2.875rem' },
    lineHeight: '3.375rem',
    letterSpacing: { base: '0.03rem', md: '0.04rem' },
    color: 'body'
  },
  h2: {
    fontFamily: 'heading',
    fontWeight: 700,
    fontSize: { base: '1.5rem', md: '1.75rem' },
    lineHeight: 'normal',
    letterSpacing: { base: '0.03rem', md: '0.04rem' },
    color: 'body'
  },
  h3: {
    fontFamily: 'heading',
    fontSize: { base: '1.25rem', md: '1.375rem' },
    letterSpacing: { base: '0.03rem', md: '0.04rem' },
    lineHeight: 'normal',
    color: 'body'
  },
  h4: {
    fontFamily: 'heading',
    fontSize: '1.125rem',
    letterSpacing: { base: '0.03rem', md: '0.04rem' },
    lineHeight: 'normal',
    color: 'body'
  },
  h5: {
    fontFamily: 'heading',
    fontSize: '1rem',
    letterSpacing: '0.02rem',
    lineHeight: 'normal',
    color: 'body'
  },
  h6: {
    fontFamily: 'heading',
    fontSize: '0.875rem',
    letterSpacing: '0.02rem',
    lineHeight: 'normal',
    color: 'body'
  },
  'header-font': {
    fontFamily: 'heading',
    fontWeight: 700,
    letterSpacing: '0.04rem',
    fontSize: { base: '0.86rem', sm: '1rem' },
    color: 'body'
  },
  'homepage-description': {
    fontFamily: 'heading',
    fontWeight: 700,
    lineHeight: '21px',
    letterSpacing: '0.05rem',
    textAlign: { base: 'center', md: 'left' },
    color: 'body'
  },
  'homepage-primary-label': {
    fontFamily: 'heading',
    color: 'bg',
    fontWeight: 700,
    textTransform: 'uppercase',
    _groupHover: { color: 'yellow.50' },
    _groupFocus: { color: 'yellow.50' },
    _groupActive: { color: 'yellow.50' }
  },
  'home-section-link-label': {
    fontFamily: 'heading',
    fontWeight: 700,
    textTransform: 'uppercase',
    textAlign: 'center',
    p: 4
  },
  'quick-link-text': {
    fontFamily: 'body',
    lineHeight: '26px',
    color: 'body'
  },
  'quick-link-label': {
    fontFamily: 'heading',
    fontWeight: 700,
    textTransform: 'uppercase',
    textAlign: 'center',
    color: 'primary',
    _groupHover: { color: 'bg' },
    _groupActive: { color: 'bg' },
    _groupFocus: { color: 'bg' }
  },
  'hero-text-small': {
    fontSize: '13px',
    fontFamily: 'body',
    color: 'body'
  },
  'footer-link-label': {
    fontFamily: 'heading',
    fontWeight: 700,
    textTransform: 'uppercase',
    lineHeight: '21.12px',
    letterSpacing: '0.02rem'
  },
  'footer-text': {
    fontFamily: 'body',
    lineHeight: '22px',
    fontWeight: 400,
    fontSize: '12px',
    color: 'body'
  },
  'downloads-button-label': {
    fontFamily: 'heading',
    color: 'bg',
    fontSize: { base: 'md', lg: 'xl' },
    textTransform: 'uppercase',
    _groupHover: { color: 'yellow.50' },
    _groupFocus: { color: 'yellow.50' },
    _groupActive: { color: 'yellow.50' }
  },
  'downloads-button-sublabel': {
    fontFamily: 'heading',
    color: 'bg',
    fontSize: { base: 'xs', lg: 'sm' },
    textTransform: 'uppercase',
    _groupHover: { color: 'yellow.50' },
    _groupFocus: { color: 'yellow.50' },
    _groupActive: { color: 'yellow.50' }
  },
  'download-tab-label': {
    fontFamily: 'heading',
    fontWeight: 700,
    textTransform: 'uppercase',
    textAlign: 'center',
    fontSize: { base: 'xs', sm: 'sm' }
  },
  'docs-nav-dropdown': {
    fontFamily: 'heading',
    fontWeight: 700,
    fontSize: '0.875rem',
    lineHeight: '18.48px',
    letterSpacing: '4%',
    textAlign: 'left'
  },
  'docs-nav-links': {
    fontFamily: 'heading',
    weight: 400,
    fontSize: '0.875rem',
    lineHeight: 6,
    letterSpacing: '0.01em'
  },
  'header-button': {
    fontFamily: 'heading',
    fontWeight: 700,
    fontSize: { base: '0.86rem', sm: '1rem' }
  },
  'header-mobile-button': {
    fontFamily: 'heading',
    textTransform: 'uppercase',
    fontSize: '2xl'
  },
  'inline-code-snippet': {
    fontFamily: 'heading',
    fontWeight: 400,
    fontSize: 'md',
    lineHeight: 4,
    letterSpacing: '0.01rem'
  },
  'code-block': {
    fontFamily: 'heading',
    fontWeight: 400,
    fontSize: 'md',
    lineHeight: '21.12px',
    letterSpacing: '0.01rem'
  },
  'document-nav-title': {
    fontFamily: 'heading',
    fontWeight: 400,
    fontSize: 'md',
    lineHeight: '21.12px',
    letterSpacing: '2%'
  },
  'document-nav-link': {
    fontFamily: 'body',
    fontWeight: 400,
    fontSize: '13px',
    lineHeight: 5,
    letterSpacing: '1%'
  },
  'note-text': {
    fontFamily: 'body',
    fontWeight: 400,
    fontSize: 'md',
    lineHeight: '26px'
  }
};
